package com.yihu.wlyy.entity.doctor.team.sign;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生对患者分组（三师、普通签约等）记录表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_patient_group_info")
public class DoctorPatientGroupInfo extends IdEntity {
	private static final long serialVersionUID = 5559656428707106920L;

	// 医生标识
	private String doctor;
	// 患者标识
	private String patient;
	// 患者姓名
	private String pname;
	// 分组标识（1：健康人群 2：慢病人群 3：我的具名）
	private String group;
	// 病历片段总数
	private Integer partAmount;
	// 签约日期/已诊日期
	private Date qyrq;
	// 到期日期
	private Date dqrq;
	// 添加时间
	private Date czrq;
	// 状态，1正常，0作废
	private Integer status;
	//签约类型（1表示三师签约，2表示家庭签约）
	private String signType;

	@Column(name = "sign_type")
	public String getSignType() {
		return signType;
	}

	public void setSignType(String signType) {
		this.signType = signType;
	}
	
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getPname() {
		return pname;
	}

	public void setPname(String pname) {
		this.pname = pname;
	}

	@Column(name = "group_code")
	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
	public Date getDqrq() {
		return dqrq;
	}

	public void setDqrq(Date dqrq) {
		this.dqrq = dqrq;
	}

	@Column(name = "part_amount")
	public Integer getPartAmount() {
		return partAmount;
	}

	public void setPartAmount(Integer partAmount) {
		this.partAmount = partAmount;
	}

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
	public Date getQyrq() {
		return qyrq;
	}

	public void setQyrq(Date qyrq) {
		this.qyrq = qyrq;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
